//package com.eden.room.config;
//
//import org.springframework.context.annotation.Bean;
//import org.springframework.context.annotation.Configuration;
//import org.springframework.web.servlet.config.annotation.CorsRegistry;
//import org.springframework.web.servlet.config.annotation.InterceptorRegistry;
//import org.springframework.web.servlet.config.annotation.WebMvcConfigurer;
//
//import com.eden.room.interceptor.UserContextInterceptor;
//
///**
// * Web配置类
// */
//@Configuration
//public class WebConfig implements WebMvcConfigurer {
//
//    @Bean
//    public UserContextInterceptor userContextInterceptor() {
//        return new UserContextInterceptor();
//    }
//
//    @Override
//    public void addInterceptors(InterceptorRegistry registry) {
//        // 注册用户上下文拦截器
//        registry.addInterceptor(userContextInterceptor())
//                .addPathPatterns("/**")
//                .excludePathPatterns(
//                    "/error",
//                    "/swagger-resources/**",
//                    "/webjars/**",
//                    "/v2/**",
//                    "/swagger-ui.html/**",
//                    "/api-docs/**",
//                    "/favicon.ico"
//                );
//    }
//
//    @Override
//    public void addCorsMappings(CorsRegistry registry) {
//        registry.addMapping("/**")
//                .allowedOrigins("*")
//                .allowedMethods("GET", "POST", "PUT", "DELETE", "OPTIONS")
//                .allowedHeaders("*")
//                .maxAge(3600);
//    }
//}