package com.eden.room.domain.dto;

import java.io.Serializable;
import java.util.Date;

/**
 * 标签数据传输对象
 */
public class TagDTO implements Serializable {
    
    private static final long serialVersionUID = 1L;

    /** 标签ID */
    private Long id;
    
    /** 标签名称 */
    private String tagName;
    
    /** 标签类型 */
    private String tagType;
    
    /** 标签颜色 */
    private String tagColor;
    
    /** 排序号 */
    private Integer sortNum;
    
    /** 备注 */
    private String remark;
    
    /** 创建时间 */
    private Date createTime;
    
    /** 更新时间 */
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }

    public String getTagType() {
        return tagType;
    }

    public void setTagType(String tagType) {
        this.tagType = tagType;
    }

    public String getTagColor() {
        return tagColor;
    }

    public void setTagColor(String tagColor) {
        this.tagColor = tagColor;
    }

    public Integer getSortNum() {
        return sortNum;
    }

    public void setSortNum(Integer sortNum) {
        this.sortNum = sortNum;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
} 