package com.eden.room.service;

import com.eden.room.domain.vo.ProjectTreeVO;
import java.util.List;

public interface ProjectTreeService {
    
    /**
     * 获取项目树形结构
     * @param level 查询层级：1-项目，2-楼宇，3-楼层，4-房源
     * @return 项目树形结构列表
     */
    List<ProjectTreeVO> getProjectTree(Integer level);
} 