package com.eden.room.domain.dto;

import lombok.Data;

/**
 * 业主信息传输对象
 */
@Data
public class OwnerDTO {
    
    /** 业主ID */
    private String id;
    
    /** 业主姓名 */
    private String name;
    
    /** 业主编号 */
    private String code;
    
    /** 手机号 */
    private String phone;
    
    /** 证件号 */
    private String identityNumber;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getCode() {
        return code;
    }

    public void setCode(String code) {
        this.code = code;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public String getIdentityNumber() {
        return identityNumber;
    }

    public void setIdentityNumber(String identityNumber) {
        this.identityNumber = identityNumber;
    }
} 