package com.eden.room.feign;

import com.eden.room.domain.dto.TagDTO;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;

/**
 * 标签服务远程调用降级类
 */
@Component
public class TagFeignFallback implements TagFeignClient {

    @Override
    public List<TagDTO> getAllRoomTags() {
        return new ArrayList<>();
    }

    @Override
    public List<TagDTO> getTagsByIds(String[] ids) {
        return new ArrayList<>();
    }
} 